import { ILifetime } from '../Lifetime';
import { Factory, Key } from './IServiceCollection';
import { RecordCollection } from './ServiceCollection';
export declare type MockSetup<E> = {
    [key in keyof E]?: Partial<E[key]> | Factory<Partial<E[key]>, E>;
};
export declare function proxyLifetimes<E>(lifetimes: RecordCollection<E>, mock: MockSetup<E>): void;
export declare function proxyLifetime<E>(lifetime: ILifetime<unknown, E>, mock: MockSetup<E>[Key<E>] | undefined): ILifetime<unknown, E>;
export declare function proxyValue<T extends object>(name: string, obj: Partial<T>): T;
