import { Factory, Key } from '../ServiceCollection';
import { ScopedContext } from '../ServiceProvider';
import { ILifetime } from './ILifetime';
export declare class Scoped<T, E> implements ILifetime<T, E> {
    readonly isSingleton = false;
    readonly name: Key<E>;
    factory: Factory<T, E>;
    constructor(name: Key<E>, factory: Factory<T, E>);
    provide(context: ScopedContext<E>): import("../ServiceProvider").ProviderScope[Key<E>];
    clone(): ILifetime<T, E>;
}
